<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:android="http://schemas.android.com/apk/res/android">
    <data>
        <variable name="viewModel"
                  type="co.th.shipmeuser.ui.authen.AuthenViewModel"/>
    </data>

    <ScrollView android:layout_width="match_parent"
                android:layout_height="match_parent">

        <androidx.constraintlayout.widget.ConstraintLayout
                android:background="@android:color/white"
                android:layout_width="match_parent"
                android:layout_height="match_parent">
            <LinearLayout
                    android:id="@+id/ll_field"
                    android:orientation="vertical"
                    android:paddingStart="@dimen/dimen_40dp"
                    android:paddingEnd="@dimen/dimen_40dp"
                    android:paddingBottom="@dimen/dimen_10dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintTop_toTopOf="parent">

                <TextView
                        android:id="@+id/tv_title"
                        android:text="@string/name_title"
                        android:layout_marginTop="@dimen/dimen_20dp"
                        android:textColor="@color/blackPrimary"
                        android:textStyle="bold"
                        android:textSize="@dimen/text_size_16sp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"/>

                <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/tl_first_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:hintEnabled="false"
                        android:layout_marginTop="@dimen/dimen_10dp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent">
                    <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/et_first_name"
                            android:inputType="text"
                            style="@style/LoginTextInputLayoutStyle"
                            android:textColorHint="@color/greyPrimary"
                            android:hint="@string/first_name_upper"
                            android:text="@={viewModel.firstName}"
                            android:padding="@dimen/dimen_10dp"
                            android:textSize="@dimen/text_size_16sp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"/>
                </com.google.android.material.textfield.TextInputLayout>

                <TextView
                        android:id="@+id/tv_surname_title"
                        android:text="@string/surname_title"
                        android:layout_marginTop="@dimen/dimen_10dp"
                        android:textColor="@color/blackPrimary"
                        android:textStyle="bold"
                        android:textSize="@dimen/text_size_16sp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"/>

                <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/tl_last_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:hintEnabled="false"
                        android:layout_marginTop="@dimen/dimen_20dp"
                        app:layout_constraintTop_toBottomOf="@+id/tl_first_name"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent">
                    <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/et_last_name"
                            android:inputType="text"
                            style="@style/LoginTextInputLayoutStyle"
                            android:textColorHint="@color/greyPrimary"
                            android:hint="@string/last_name_upper"
                            android:text="@={viewModel.lastName}"
                            android:padding="@dimen/dimen_10dp"
                            android:textSize="@dimen/text_size_16sp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"/>
                </com.google.android.material.textfield.TextInputLayout>

                <TextView
                        android:id="@+id/tv_phone_title"
                        android:text="@string/phone_title"
                        android:layout_marginTop="@dimen/dimen_10dp"
                        android:textColor="@color/blackPrimary"
                        android:textStyle="bold"
                        android:textSize="@dimen/text_size_16sp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"/>

                <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/tl_phone"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:hintEnabled="false"
                        android:layout_marginTop="@dimen/dimen_20dp"
                        app:layout_constraintTop_toBottomOf="@+id/tl_last_name"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent">
                    <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/et_phone"
                            style="@style/LoginTextInputLayoutStyle"
                            android:textColorHint="@color/greyPrimary"
                            android:inputType="phone"
                            android:text="@={viewModel.phone}"
                            android:hint="@string/_66_label"
                            android:padding="@dimen/dimen_10dp"
                            android:textSize="@dimen/text_size_16sp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"/>
                </com.google.android.material.textfield.TextInputLayout>

                <TextView
                        android:id="@+id/tv_password_title"
                        android:text="@string/password_title"
                        android:layout_marginTop="@dimen/dimen_10dp"
                        android:textColor="@color/blackPrimary"
                        android:textStyle="bold"
                        android:textSize="@dimen/text_size_16sp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"/>

                <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/tl_register_password"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:hintEnabled="false"
                        android:layout_marginTop="@dimen/dimen_20dp"
                        app:layout_constraintTop_toBottomOf="@+id/tl_phone"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintEnd_toEndOf="parent">
                    <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/et_register_password"
                            style="@style/LoginTextInputLayoutStyle"
                            android:textColorHint="@color/greyPrimary"
                            android:padding="@dimen/dimen_10dp"
                            android:textSize="@dimen/text_size_16sp"
                            android:hint="@string/password_upper_label"
                            android:text="@={viewModel.password}"
                            android:inputType="textPassword"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"/>
                </com.google.android.material.textfield.TextInputLayout>

                <TextView
                        android:id="@+id/tv_password_confirm_title"
                        android:text="@string/password_confirm_title"
                        android:layout_marginTop="@dimen/dimen_10dp"
                        android:textColor="@color/blackPrimary"
                        android:textStyle="bold"
                        android:textSize="@dimen/text_size_16sp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"/>

                <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/tl_confirm_password"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:hintEnabled="false"
                        android:layout_marginTop="@dimen/dimen_20dp"
                        app:layout_constraintTop_toBottomOf="@+id/tl_register_password"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintEnd_toEndOf="parent">
                    <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/et_confirm_password"
                            style="@style/LoginTextInputLayoutStyle"
                            android:textColorHint="@color/greyPrimary"
                            android:padding="@dimen/dimen_10dp"
                            android:textSize="@dimen/text_size_16sp"
                            android:hint="@string/confirm_password_upper"
                            android:inputType="textPassword"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"/>
                </com.google.android.material.textfield.TextInputLayout>

                <TextView
                        android:id="@+id/tv_email_title"
                        android:text="@string/email_title"
                        android:layout_marginTop="@dimen/dimen_10dp"
                        android:textColor="@color/blackPrimary"
                        android:textStyle="bold"
                        android:textSize="@dimen/text_size_16sp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"/>

                <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/tl_register_email"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:hintEnabled="false"
                        android:layout_marginTop="@dimen/dimen_20dp"
                        app:layout_constraintTop_toBottomOf="@+id/tl_confirm_password"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent">
                    <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/et_register_email"
                            style="@style/LoginTextInputLayoutStyle"
                            android:textColorHint="@color/greyPrimary"
                            android:inputType="textEmailAddress"
                            android:hint="@string/email_upper_label"
                            android:text="@={viewModel.email}"
                            android:padding="@dimen/dimen_10dp"
                            android:textSize="@dimen/text_size_16sp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"/>
                </com.google.android.material.textfield.TextInputLayout>

            </LinearLayout>

            <LinearLayout
                    android:id="@+id/ll_button"
                    android:orientation="horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/dimen_40dp"
                    android:layout_marginTop="@dimen/dimen_10dp"
                    android:gravity="center"
                    app:layout_constraintTop_toBottomOf="@+id/ll_field">
                <Button
                        android:id="@+id/btn_register"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/lightGrey"
                        android:background="@color/blackPrimary"
                        android:text="@string/confirm_title"
                        android:enabled="true"/>
                <Button
                        android:id="@+id/btn_cancel"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/lightGrey"
                        android:layout_marginStart="@dimen/dimen_10dp"
                        android:background="@color/blackPrimary"
                        android:text="@string/cancel_title"
                        android:enabled="true"/>
            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>
</layout>